GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Public Member Functions
grpc::MethodHandler Class Referenceabstract

`#include <rpc_service_method.h>`

## Data Structures
struct | HandlerParameter

## Public Member Functions
virtual | ~MethodHandler ()
virtual void | RunHandler (const HandlerParameter &param)=0

## Constructor & Destructor Documentation

virtual grpc::MethodHandler::~MethodHandler | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void grpc::MethodHandler::RunHandler | ( | const HandlerParameter & | param | ) |
| pure virtual

Implemented in grpc::BidiStreamingHandler< ServiceType, RequestType, ResponseType >, grpc::ServerStreamingHandler< ServiceType, RequestType, ResponseType >, grpc::ClientStreamingHandler< ServiceType, RequestType, ResponseType >, and grpc::RpcMethodHandler< ServiceType, RequestType, ResponseType >.

The documentation for this class was generated from the following file:

- include/grpc++/impl/rpc_service_method.h